sessionAnnRequirements
Date: 2013-06-18

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.session.client
Class sessionAnnRequirements

    java.lang.Object
      org.gcube.portlets.session.client.sessionAnnRequirements

    public class sessionAnnRequirements

extends java.lang.Object

Constructor Summary
`sessionAnnRequirements(java.lang.String collectionId, java.lang.String objectId, java.lang.String objectTitle, java.lang.String mimeType)`

Method Summary
`java.lang.String` | `getCollectionId()`
`boolean` | `getIfNeedsUpdate()`
`java.lang.String` | `getObjectId()`
`java.lang.String` | `getObjectMimeType()`
`java.lang.String` | `getObjectTitle()`
`void` | `setCollectionId(java.lang.String collectionId)`
`void` | `setIfNeedsUpdate(boolean needsUpdate)`
`void` | `setObjectId(java.lang.String objectId)`
`void` | `setObjectMimeType(java.lang.String mimeType)`
`void` | `setObjectTitle(java.lang.String objectTitle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### sessionAnnRequirements

    public sessionAnnRequirements(java.lang.String collectionId,
                                  java.lang.String objectId,
                                  java.lang.String objectTitle,
                                  java.lang.String mimeType)

Method Detail

### setCollectionId

    public void setCollectionId(java.lang.String collectionId)

### setObjectId

    public void setObjectId(java.lang.String objectId)

### setObjectTitle

    public void setObjectTitle(java.lang.String objectTitle)

### setObjectMimeType

    public void setObjectMimeType(java.lang.String mimeType)

### setIfNeedsUpdate

    public void setIfNeedsUpdate(boolean needsUpdate)

### getCollectionId

    public java.lang.String getCollectionId()

### getObjectId

    public java.lang.String getObjectId()

### getObjectTitle

    public java.lang.String getObjectTitle()

### getObjectMimeType

    public java.lang.String getObjectMimeType()

### getIfNeedsUpdate

    public boolean getIfNeedsUpdate()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD